"""simpler user model

Revision ID: 9a24d55a29b5
Revises: 5a14fea8bfc9
Create Date: 2020-07-06 17:00:42.395538

"""

# revision identifiers, used by Alembic.
revision = '9a24d55a29b5'
down_revision = '5a14fea8bfc9'

from alembic import op
import sqlalchemy as sa


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('asset')
    op.drop_table('item_list')
    op.drop_table('roles_users')
    op.drop_table('role')
    # op.create_unique_constraint(None, 'day', ['date'])
    op.add_column('user', sa.Column('username', sa.Unicode(length=1024), nullable=True))
    # op.alter_column('user', 'password',
    #            existing_type=sa.VARCHAR(length=255),
    #            nullable=True)
    # op.drop_column('user', 'login_count')
    # op.drop_column('user', 'email')
    # op.drop_column('user', 'last_login_ip')
    # op.drop_column('user', 'confirmed_at')
    # op.drop_column('user', 'last_login_at')
    # op.drop_column('user', 'current_login_ip')
    # op.drop_column('user', 'active')
    # op.drop_column('user', 'current_login_at')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    # op.add_column('user', sa.Column('current_login_at', sa.DATETIME(), nullable=True))
    # op.add_column('user', sa.Column('active', sa.BOOLEAN(), nullable=True))
    # op.add_column('user', sa.Column('current_login_ip', sa.VARCHAR(length=255), nullable=True))
    # op.add_column('user', sa.Column('last_login_at', sa.DATETIME(), nullable=True))
    # op.add_column('user', sa.Column('confirmed_at', sa.DATETIME(), nullable=True))
    # op.add_column('user', sa.Column('last_login_ip', sa.VARCHAR(length=255), nullable=True))
    # op.add_column('user', sa.Column('email', sa.VARCHAR(length=255), nullable=True))
    # op.add_column('user', sa.Column('login_count', sa.INTEGER(), nullable=True))
    # op.alter_column('user', 'password',
    #            existing_type=sa.VARCHAR(length=255),
    #            nullable=False)
    # op.drop_column('user', 'username')
    # op.drop_constraint(None, 'day', type_='unique')
    op.create_table('role',
    sa.Column('id', sa.INTEGER(), nullable=False),
    sa.Column('name', sa.VARCHAR(length=80), nullable=True),
    sa.Column('description', sa.VARCHAR(length=255), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name')
    )
    op.create_table('roles_users',
    sa.Column('user_id', sa.INTEGER(), nullable=True),
    sa.Column('role_id', sa.INTEGER(), nullable=True),
    sa.ForeignKeyConstraint(['role_id'], ['role.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], )
    )
    op.create_table('item_list',
    sa.Column('id', sa.INTEGER(), nullable=False),
    sa.Column('name', sa.VARCHAR(length=256), nullable=True),
    sa.Column('content', sa.VARCHAR(length=4294967296), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('asset',
    sa.Column('id', sa.INTEGER(), nullable=False),
    sa.Column('name', sa.VARCHAR(length=255), nullable=True),
    sa.Column('owner_id', sa.INTEGER(), nullable=True),
    sa.ForeignKeyConstraint(['owner_id'], ['user.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###
